use crate::table::{self, AsTableRow};
use anyhow::Result;
use libjens::JMClient;

pub async fn run(client: &JMClient) -> Result<()> {
    let users = client.get_users().await?;
    let mut table = table::list_table();

    for u in &*users {
        table.add_row(u.as_table_row())
    }

    println!("{}", table.render());

    Ok(())
}
